aboutsummaryrefslogtreecommitdiffstats
path: root/package/kernel/mac80211
diff options
context:
space:
mode:
authorAntonio Quartulli <ordex@autistici.org>2012-11-09 15:23:34 +0100
committerJo-Philipp Wich <jo@mein.io>2017-12-13 16:51:12 +0100
commit0f175041ad03d381a575e2c2b1a1c9ca76fe0e99 (patch)
tree6affb1b6d321a0cb72e6bcfa6998d408bd67568f /package/kernel/mac80211
parent05f0fac189984981e3f28288e44d9afdd088dd77 (diff)
downloadupstream-0f175041ad03d381a575e2c2b1a1c9ca76fe0e99.tar.gz
upstream-0f175041ad03d381a575e2c2b1a1c9ca76fe0e99.tar.bz2
upstream-0f175041ad03d381a575e2c2b1a1c9ca76fe0e99.zip
mac80211: don't pass the hostapd ctrl iface in adhoc
Passing the ctrl iface to wpa_supplicant will automatically cause wpa_supplicant to send "STOP_AP" messages to the hostapd. This breaks the AP interfaces. Signed-off-by: Antonio Quartulli <ordex@autistici.org> (cherry picked from commit 0da54fa6428ea98d31b49f5d9a4a272214f5d188)
Diffstat (limited to 'package/kernel/mac80211')
-rw-r--r--package/kernel/mac80211/files/lib/netifd/wireless/mac80211.sh10
1 files changed, 8 insertions, 2 deletions
diff --git a/package/kernel/mac80211/files/lib/netifd/wireless/mac80211.sh b/package/kernel/mac80211/files/lib/netifd/wireless/mac80211.sh
index ebd24df0d3..703609b147 100644
--- a/package/kernel/mac80211/files/lib/netifd/wireless/mac80211.sh
+++ b/package/kernel/mac80211/files/lib/netifd/wireless/mac80211.sh
@@ -522,6 +522,12 @@ mac80211_setup_supplicant() {
wpa_supplicant_run "$ifname" ${hostapd_ctrl:+-H $hostapd_ctrl}
}
+mac80211_setup_supplicant_noctl() {
+ wpa_supplicant_prepare_interface "$ifname" nl80211 || return 1
+ wpa_supplicant_add_network "$ifname"
+ wpa_supplicant_run "$ifname"
+}
+
mac80211_setup_adhoc_htmode() {
case "$htmode" in
VHT20|HT20) ibss_htmode=HT20;;
@@ -631,7 +637,7 @@ mac80211_setup_vif() {
authsae_start_interface || failed=1
else
wireless_vif_parse_encryption
- mac80211_setup_supplicant || failed=1
+ mac80211_setup_supplicant_noctl || failed=1
fi
else
json_get_vars mesh_id mcast_rate
@@ -688,7 +694,7 @@ mac80211_setup_vif() {
wireless_vif_parse_encryption
mac80211_setup_adhoc_htmode
if [ "$wpa" -gt 0 -o "$auto_channel" -gt 0 ]; then
- mac80211_setup_supplicant || failed=1
+ mac80211_setup_supplicant_noctl || failed=1
else
mac80211_setup_adhoc
fi